#-*- mode: python; mode: fold -*-
##parameters=
# $Id: getWAeUPLayouts.py 47 2005-10-14 13:01:35Z joachim $
"""Return custom layouts types."""

##    'widgets': { ###(
##        '': {
##            'type': 'String Widget',
##            'data': {
##                'title': '',
##                'fields': ('',),
##                'is_required': False,
##                'label': '',
##                'label_edit': '',
##                'description': '',
##                'help': '',
##                'is_i18n': False,
##                'readonly_layout_modes': (),
##                'hidden_layout_modes': (),
##                'hidden_readonly_layout_modes': (),
##                'hidden_empty': False,
##                'hidden_if_expr': '',
##                'css_class': '',
##                'widget_mode_expr': '',
##                'display_width': 10,
##                'size_max': 0,
##            },

###)

common_layout = {###(
    'widgets': {
        'LanguageSelector': {
            'type': 'Document Language Select Widget',
            'data': {
                'fields': ['Language'],
            },
        },
        'Title': {
            'type': 'Heading Widget',
            'data': {
                'fields': ['Title'],
                'level': 1,
                'is_i18n': 1,
                'is_required': 1,
                'label_edit': 'Name',
                'display_width': 40,
                'size_max': 200,
            },
        },
        'Description': {
            'type': 'Text Widget',
            'data': {
                'fields': ['Description'],
                'is_i18n': 1,
                'label_edit': 'cpsdoc_description_label_edit',
                'label': '',
                'css_class': 'ddescription',
                'width': 72,
                'height': 5,
                'render_format': 'text',
                'hidden_layout_modes': ('create','edit', 'view'),
            },
        },
        'LanguageSelectorCreation': {
            'type': 'Select Widget',
            'data': {
                'title': 'Language',
                'fields': ('Language',),
                'is_required': 0,
                'label': 'label_language',
                'label_edit': 'label_language',
                'description': '',
                'help': '',
                'is_i18n': 0,
                'readonly_layout_modes': (),
                'hidden_layout_modes': ('create','edit', 'view'),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': 0,
                'hidden_if_expr': '',
                'css_class': '',
                'vocabulary': 'language_voc',
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'rows': [
            [{'widget_id': 'LanguageSelector'}],
            [{'widget_id': 'Title'},],
            [{'widget_id': 'Description'},],
            [{'widget_id': 'LanguageSelectorCreation'}],
            ],
        },
    }
#
###)

student_layout = { ###(
    'widgets': {
        'jamb_is_admitted': {
            'type': 'Boolean Widget',
            'data': {
                'title': 'Jamb Admission',
                'fields': ('jamb_where_admitted',),
                'is_required': False,
                'label': 'Jamb Admission',
                'label_edit': 'Jamb Admission',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'jamb_where_admitted': {
            'type': 'String Widget',
            'data': {
                'title': 'Jamb Admission Location',
                'fields': ('jamb_where_admitted',),
                'is_required': False,
                'label': 'University',
                'label_edit': 'University',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
##        'jamb_pin_usage': {
##            'type': 'Int Widget',
##            'data': {
##                'title': 'Jamb Pin usage',
##                'fields': ('jamb_pin_usage',),
##                'is_required': False,
##                'label': 'Nr of Cardusage',
##                'label_edit': 'Nr of Cardusage',
##                'description': '',
##                'help': 'How many times has the scratchcard been used',
##                'is_i18n': False,
##                'readonly_layout_modes': (),
##                'hidden_layout_modes': (),
##                'hidden_readonly_layout_modes': (),
##                'hidden_empty': False,
##                'hidden_if_expr': '',
##                'css_class': '',
##                'widget_mode_expr': '',
##                'display_width': 2,
##                'size_max': 2,
##            },
##        },
        'faculty': {
            'type': 'String Widget',
            'data': {
                'title': 'Faculty',
                'fields': ('faculty',),
                'is_required': False,
                'label': 'Faculty',
                'label_edit': 'Faculty',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'jamb_is_admitted', 'ncols': 1},],
            [{'widget_id': 'jamb_where_admitted', 'ncols': 1},],
            #[{'widget_id': 'jamb_pin_usage', 'ncols': 1},],
            [{'widget_id': 'faculty', 'ncols': 1},],
        ]
    },
}
###)

student_personal_layout = { ###(
    'widgets': {
        'firstname': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('firstname',),
                'is_required': False,
                'label': 'First Name',
                'label_edit': 'First Name',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'middlename': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('middlename',),
                'is_required': False,
                'label': 'Middle Name',
                'label_edit': 'Middle Name',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'lastname': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('lastname',),
                'is_required': False,
                'label': 'Last Name',
                'label_edit': 'Last Name',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'sex': {
            'type': 'Boolean Widget',
            'data': {
                'title': '',
                'fields': ('sex',),
                'is_required': False,
                'label': 'Sex',
                'label_edit': 'Sex',
                'label_false': 'male',
                'label_true': 'female',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'birthday': {
            'type': 'Date Widget',
            'data': {
                'title': '',
                'fields': ('birthday',),
                'is_required': False,
                'label': '',
                'label_edit': 'Day of birth',
                'description': 'Day of birth',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'firstname', 'ncols': 1},],
            [{'widget_id': 'middlename', 'ncols': 1},],
            [{'widget_id': 'lastname', 'ncols': 1},],
            [{'widget_id': 'sex', 'ncols': 1},],
            [{'widget_id': 'birthday', 'ncols': 1},],
        ]
    },
}

###)

scratch_card = { ###(
    'widgets': {
        'sc_id': {
            'type': 'String Widget',
            'data': {
                'title': 'SC ID',
                'fields': ('sc_id',),
                'is_required': True,
                'label': 'Scratch card ID',
                'label_edit': 'Scratch card ID',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'sc_pin': {
            'type': 'Scratchcard Pin Widget',
            'data': {
                'title': 'SC Pin',
                'fields': ('sc_pin'),
                'is_required': True,
                'label': 'Scratchcard Pin',
                'label_edit': 'Scratchcard Pin',
                'description': '',
                'help': 'Please enter a valid Scratch card pin',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 10,
            },
        },
    },
   'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'reg_nr', 'ncols': 1},],
            [{'widget_id': 'sc_pin', 'ncols': 1},],
        ]
    },
}


###)

admission = { ###(
    'widgets': {
        'sc_id': {
            'type': 'String Widget',
            'data': {
                'title': 'SC ID',
                'fields': ('admission_sc_id',),
                'is_required': False,
                'label': 'Card Serial Number ',
                'label_edit': 'Card Serial Number',
                'description': 'Card Serial Number ',
                'help': 'This can be found on the bottom right of the reverse side of your Scratch Card',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': 'python:1',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 0,
            },
        },
        'sc_pin': {
            'type': 'String Widget',
            'data': {
                'title': 'SC Pin',
                'fields': ('admission_sc_pin'),
                'is_required': True,
                'label': 'PIN',
                'label_edit': 'PIN',
                'description': '',
                'help': 'PIN-(Personal Identification Number) is an 8 or 12 digit number on the reverse side of the scratch card which you can purchase from many Banks',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 10,
            },
        },
        'jamb_id': {
            'type': 'StudentId Widget',
            'data': {
                'title': 'Registration Number',
                'fields': ('reg_nr'),
                'is_required': True,
                'label': 'Registration Number',
                'label_edit': 'Registration Number',
                'description': '',
                'help': 'This is the combination of 8 digits and 2 letters you are assigned when you purchase an examination form.',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 10,
                'size_max': 10,
            },
        },
    },
   'layout': {
        'style_prefix': 'layout_admission_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'sc_id', 'ncols': 1},],
            [{'widget_id': 'sc_pin', 'ncols': 1},],
            [{'widget_id': 'jamb_id', 'ncols': 1},],
        ]
    },
}

###)

jamb_layout = { ###(
    'widgets': {
        'reg_nr': {
            'type': 'StudentId Widget',
            'data': {
                'title': 'Student ID',
                'fields': ('reg_nr',),
                'is_required': True,
                'label': 'Student ID',
                'label_edit': 'Student ID',
                'description': 'The Student ID from JAMB',
                'help': 'The Student ID from JAMB',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 8,
                'size_max': 8,
            },
        },
        'name': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('name',),
                'is_required': False,
                'label': 'Name',
                'label_edit': 'Name',
                'description': '',
                'help': 'Please enter your full name.',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 40,
                'size_max': 0,
            },
        },
        'age': {
            'type': 'Int Widget',
            'data': {
                'title': '',
                'fields': ('age',),
                'is_required': False,
                'label': 'Age',
                'label_edit': 'Age',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 2,
                'size_max': 2,
            },
        },
        'sex': {
            'type': 'Boolean Widget',
            'data': {
                'title': '',
                'fields': ('sex',),
                'is_required': False,
                'label': 'sex',
                'label_edit': 'sex',
                'label_false': 'male',
                'label_true': 'female',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'state': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('state_of_origin',),
                'is_required': False,
                'label': 'State',
                'label_edit': 'State',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'exam_results': {
            'type': 'String Widget',
            'data': {
                'title': '',
                'fields': ('exam_results',),
                'is_required': False,
                'label': 'Jamb Results',
                'label_edit': 'Jamb Results',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        'aggregate': {
            'type': 'String Widget',
            'data': {
                'title': 'Agregate',
                'fields': ('aggregate',),
                'is_required': False,
                'label': 'Aggregate',
                'label_edit': 'Aggregate',
                'description': '',
                'help': '',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 3,
                'size_max': 0,
            },
        },
        '2nd_choice': {
            'type': 'String Widget',
            'data': {
                'title': 'Second choice',
                'fields': ('2nd_choice',),
                'is_required': False,
                'label': 'Second choice',
                'label_edit': 'Second choice',
                'description': '',
                'help': 'second_choice',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
        '3rd_choice': {
            'type': 'String Widget',
            'data': {
                'title': 'Third_choice',
                'fields': ('3rd_choice',),
                'is_required': False,
                'label': 'Third choice',
                'label_edit': 'Third choice',
                'description': 'third_choice',
                'help': 'third_choice',
                'is_i18n': False,
                'readonly_layout_modes': (),
                'hidden_layout_modes': (),
                'hidden_readonly_layout_modes': (),
                'hidden_empty': False,
                'hidden_if_expr': '',
                'css_class': '',
                'widget_mode_expr': '',
                'display_width': 20,
                'size_max': 0,
            },
        },
    },
    'layout': {
        'style_prefix': 'layout_default_',
        'flexible_widgets': (),
        'ncols': 1,
        'rows': [
            [{'widget_id': 'reg_nr', 'ncols': 1},],
            [{'widget_id': 'name', 'ncols': 1},],
            [{'widget_id': 'age', 'ncols': 1},],
            [{'widget_id': 'sex', 'ncols': 1},],
            [{'widget_id': 'state', 'ncols': 1},],
            [{'widget_id': 'exam_results', 'ncols': 1},],
            [{'widget_id': 'aggregate', 'ncols': 1},],
            [{'widget_id': '2nd_choice', 'ncols': 1},],
            [{'widget_id': '3rd_choice', 'ncols': 1},],
        ]
    },
}
###)

layouts = {}
layouts['waeup_common'] = common_layout
layouts['student'] = student_layout
layouts['student_personal'] = student_personal_layout
layouts['scratch_card'] = scratch_card
layouts['admission'] = admission
layouts['jamb'] = jamb_layout
return layouts
